org.apache.jmeter.engine

## Interface JMeterEngine

- All Known Implementing Classes:
    ClientJMeterEngine, StandardJMeterEngine

      public interface JMeterEngine

  This interface is implemented by classes that can run JMeter tests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(HashTree testPlan)` Configure engine
    `void` | `exit()` Exit engine
    `boolean` | `isActive()`
    `void` | `reset()` Stop test if running
    `void` | `runTest()` Runs the test
    `void` | `setProperties(Properties p)` set Properties on engine
    `default void` | `stopTest()` Stop test immediately interrupting current samplers
    `void` | `stopTest(boolean now)`

- - ### Method Detail

    - #### configure

          void configure(HashTree testPlan)

      Configure engine
      Parameters:
        `testPlan` - the test plan

    - #### runTest

          void runTest()
                throws JMeterEngineException

      Runs the test
      Throws:
        `JMeterEngineException` - if an error occurs

    - #### stopTest

          default void stopTest()

      Stop test immediately interrupting current samplers

    - #### stopTest

          void stopTest(boolean now)

      Parameters:
        `now` - boolean that tell whether stop is immediate (interrupt) or not (wait for current sample end)

    - #### reset

          void reset()

      Stop test if running

    - #### setProperties

          void setProperties(Properties p)

      set Properties on engine
      Parameters:
        `p` - the properties to set

    - #### exit

          void exit()

      Exit engine

    - #### isActive

          boolean isActive()

      Returns:
        boolean Flag to show whether engine is active (true when test is running). Set to false at end of test

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.